﻿Imports System
Imports System.Collections
Imports System.ComponentModel
Imports System.Configuration.Install

Namespace VoiceApp
  <RunInstaller(True)> _
  Partial Public Class ServiceInstaller
    Inherits Installer

    Private serviceProcessInstaller1 As System.ServiceProcess.ServiceProcessInstaller
    Private serviceInstaller1 As System.ServiceProcess.ServiceInstaller


    Public Overloads Overrides Sub Install(ByVal mySavedState As IDictionary)
      Dim ServiceName As String = Me.Context.Parameters("ServiceName")

      If ServiceName <> Nothing Then
        Me.serviceInstaller1.ServiceName = ServiceName

        Me.serviceInstaller1.DisplayName = Program.DisplayName + " (" + ServiceName + ")"
      End If

      MyBase.Install(mySavedState)
    End Sub


    Public Overloads Overrides Sub Uninstall(ByVal mySavedState As IDictionary)

      Dim ServiceName As String = Me.Context.Parameters("ServiceName")

      If ServiceName <> Nothing Then
        Me.serviceInstaller1.ServiceName = ServiceName
        Me.serviceInstaller1.DisplayName = Program.DisplayName + " (" + ServiceName + ")"
      End If

      MyBase.Uninstall(mySavedState)

    End Sub

    Private Sub serviceProcessInstaller1_AfterInstall(ByVal sender As Object, ByVal e As System.Configuration.Install.InstallEventArgs)

    End Sub



  End Class
End Namespace
